summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2020-04-05 14:47:08 +0300
committerLars Wirzenius <liw@liw.fi>2020-04-05 14:47:08 +0300
commitc47d506b81f86d33ebff0ceb89da58f221a03618 (patch)
tree98bbb3f2cdc18dde6ad0cc86fbe53dabc2be2201
parent7fb822c68050227fa05f190fc7830843e0a0ad07 (diff)
downloadvmdb2-c47d506b81f86d33ebff0ceb89da58f221a03618.tar.gz
Add: script to run ./vmdb2 againt my, Debian's specs files
-rwxr-xr-xcheck-external25
1 files changed, 25 insertions, 0 deletions
diff --git a/check-external b/check-external
new file mode 100755
index 0000000..04dcbc7
--- /dev/null
+++ b/check-external
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# Check external image specifications. Assume current working directory is
+# where the vmdb2 version to be tested is.
+
+set -eu
+
+cache="$(cd "$1" && pwd)"
+shift
+
+export PATH="$(pwd):$PATH"
+
+echo "Create temporary directory for images"
+tmp="$(mktemp -d)"
+
+# This will delete the temporary directory automatically at exit.
+trap "rm -rf $tmp" EXIT
+
+echo "Test Lars's personal images"
+git clone -q git://git.liw.fi/base-image-specs "$tmp/specs"
+(cd "$tmp/specs" && chronic ./build-all.sh "$cache" "$cache")
+
+echo "Test Debian's Raspberry Pi images"
+git clone -q https://salsa.debian.org/raspi-team/image-specs.git "$tmp/debian"
+(cd "$tmp/debian" && chronic make images)